mscorlib 2.0.0.0 4.0.0.0 System.Enum To be added.

Specifies the type of access control modification to perform. This enumeration is used by methods of the class and its descendents.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AccessControlModification

  Add the specified authorization rule to the access control list (ACL).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AccessControlModification

  Remove authorization rules that contain the same security identifier (SID) and access mask as the specified authorization rule from the ACL.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AccessControlModification

  Remove authorization rules that contain the same SID as the specified authorization rule from the ACL.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AccessControlModification

  Remove authorization rules that exactly match the specified authorization rule from the ACL.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AccessControlModification

  Remove authorization rules that contain the same SID as the specified authorization rule from the ACL, and then add the specified authorization rule to the ACL.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AccessControlModification

  Remove all authorization rules from the ACL, then add the specified authorization rule to the ACL.